## org.eclipse.jst.jsf.facesconfig.emf
Interface RendererType

All Known Implementing Classes:
  RendererTypeImpl

    public interface RendererType

A representation of the model object 'Renderer Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Component Family`
- `Renderer Type`
- `Renderer Class`
- `Facet`
- `Attribute`
- `Renderer Extension`
- `Id`

See Also:
  `FacesConfigPackage.getRendererType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getAttribute()` Returns the value of the 'Attribute' containment reference list.
`ComponentFamilyType` `getComponentFamily()` Returns the value of the 'Component Family' containment reference
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getFacet()` Returns the value of the 'Facet' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`RendererClassType` `getRendererClass()` Returns the value of the 'Renderer Class' containment reference
`EList` `getRendererExtension()` Returns the value of the 'Renderer Extension' containment reference list.
`RendererTypeType` `getRendererType()` Returns the value of the 'Renderer Type' containment reference
`void` `setComponentFamily(ComponentFamilyType value)` Sets the value of the '`Component Family`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setRendererClass(RendererClassType value)` Sets the value of the '`Renderer Class`' containment reference
`void` `setRendererType(RendererTypeType value)` Sets the value of the '`Renderer Type`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Icon()`

### getComponentFamily

    ComponentFamilyType getComponentFamily()

  Returns the value of the 'Component Family' containment reference.

  If the meaning of the 'Component Family' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Component Family' containment reference.
  See Also:
    `setComponentFamily(ComponentFamilyType)`, `FacesConfigPackage.getRendererType_ComponentFamily()`

### setComponentFamily

    void setComponentFamily(ComponentFamilyType value)

  Sets the value of the '`Component Family`' containment reference.

  Parameters:
    `value` - the new value of the 'Component Family' containment reference.
  See Also:
    `getComponentFamily()`

### getRendererType

    RendererTypeType getRendererType()

  Returns the value of the 'Renderer Type' containment reference.

  If the meaning of the 'Renderer Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Renderer Type' containment reference.
  See Also:
    `setRendererType(RendererTypeType)`, `FacesConfigPackage.getRendererType_RendererType()`

### setRendererType

    void setRendererType(RendererTypeType value)

  Sets the value of the '`Renderer Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Renderer Type' containment reference.
  See Also:
    `getRendererType()`

### getRendererClass

    RendererClassType getRendererClass()

  Returns the value of the 'Renderer Class' containment reference.

  If the meaning of the 'Renderer Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Renderer Class' containment reference.
  See Also:
    `setRendererClass(RendererClassType)`, `FacesConfigPackage.getRendererType_RendererClass()`

### setRendererClass

    void setRendererClass(RendererClassType value)

  Sets the value of the '`Renderer Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Renderer Class' containment reference.
  See Also:
    `getRendererClass()`

### getFacet

    EList getFacet()

  Returns the value of the 'Facet' containment reference list. The list contents are of type `FacetType`.

  If the meaning of the 'Facet' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Facet' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Facet()`

### getAttribute

    EList getAttribute()

  Returns the value of the 'Attribute' containment reference list. The list contents are of type `AttributeType`.

  If the meaning of the 'Attribute' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_Attribute()`

### getRendererExtension

    EList getRendererExtension()

  Returns the value of the 'Renderer Extension' containment reference list. The list contents are of type `RendererExtensionType`.

  If the meaning of the 'Renderer Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Renderer Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getRendererType_RendererExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getRendererType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`